### Class

# Camel MimeFilterCRLF

#### Description

    class Camel.MimeFilterCRLF : Camel.MimeFilter
    {
      CamelMimeFilterCRLFPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelMimeFilter
- GObject

#### Constructors

###### camel_mime_filter_crlf_new

Create a new `CamelMimeFilterCRLF` object.

#### Instance methods

###### camel_mime_filter_crlf_get_ensure_crlf_end

No description available.

since: 3.42

###### camel_mime_filter_crlf_set_ensure_crlf_end

When set to true, the filter will ensure that the output stream will end with CRLF, in case it does not. The default is to not do that. The option is used only when encoding the stream.

since: 3.42

##### Methods inherited from CamelMimeFilter (7)

###### camel_mime_filter_backup

Saves `data` to be used as prespace input data to the next call to `camel_mime_filter_filter()` or camel_mime_filter_complete().

###### camel_mime_filter_complete

Passes the input buffer, `in`, through `filter` and generates an output buffer, `out` and makes sure that all data is flushed to the output buffer. This must be the last filtering call made, no further calls to `camel_mime_filter_filter()` may be called on `filter` until `filter` has been reset using camel_mime_filter_reset().

###### camel_mime_filter_filter

Passes the input buffer, `in`, through `filter` and generates an output buffer, `out`.

###### camel_mime_filter_get_request_stop

Returns whether the `filter` requested stop further processing with camel_mime_filter_set_request_stop().

since: 3.52

###### camel_mime_filter_reset

Resets the state on `filter` so that it may be used again.

###### camel_mime_filter_set_request_stop

Sets whether the `filter` requests, or not, stop further processing. This can be used to stop before all the data is filtered.

since: 3.52

###### camel_mime_filter_set_size

Ensure that `filter` has enough storage space to store `size` bytes for filter output.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelMimeFilterCRLFClass {
      CamelMimeFilterClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelMimeFilterClass`

  No description available.

`reserved: gpointer`

  No description available.